       SUBROUTINE SWAP16(A,N)
C
C      REVERSE ORDER OF BYTES IN INTEGER*2 WORD
C
       INTEGER*2   A(N)
       INTEGER*2   ITEMP
C

       CHARACTER*1 JTEMP(2)
       CHARACTER*1 KTEMP
C
       EQUIVALENCE (JTEMP(1),ITEMP)
C
       DO 10 I = 1,N
         ITEMP    = A(I)
         KTEMP    = JTEMP(2)
         JTEMP(2) = JTEMP(1)
         JTEMP(1) = KTEMP
         A(I)     = ITEMP
 10    CONTINUE
       RETURN
       END

